.FilterSelector {
    display: inline-block;
    margin-right: 8px;
    margin-bottom: 16px;
    order: 10;

    @include mobile {
        display: block;
        margin-right: 0 !important;
        margin-bottom: 8px;
    }

    &-Button {
        padding: 5px 8px;
        border: 1px solid var(--grey-1-color);
        z-index: 2;

        @include mobile {
            width: 100%;
            padding: 12px 8px;
            text-align: left;
        }
    }

    &_isDropdown &-Button {
        padding-right: 32px;

        @include mobile {
            padding-right: 42px;
        }

        &::after {
            display: inline-block;
            width: 6px;
            height: 6px;
            border-right: 1px solid var(--primary-base-color);
            border-bottom: 1px solid var(--primary-base-color);
            position: absolute;
            top: 9px;
            right: 12px;
            transform: rotate(45deg);
            content: '';

            @include mobile {
                top: 16px;
                right: 22px;
                transform: rotate(-45deg);
            }
        }
    }

    &_isDropdown {
        order: 0;
    }

    &:not(&_isDropdown) {
        .FilterSelector-Button {
            @include mobile {
                padding-right: 0;
                padding-left: 40px;

                &::before {
                    width: 14px;
                    height: 14px;
                    border: 1px solid var(--primary-base-color);
                    border-radius: 1px;
                    position: absolute;
                    top: 12px;
                    left: 10px;
                    content: '';
                }
            }
        }
    }

    &_isSelected {
        .FilterSelector-Button {
            border: 1px solid var(--primary-base-color);
        }

        &:not(.FilterSelector_isDropdown) .FilterSelector-Button {
            padding-right: 30px;

            &::after {
                position: absolute;
                top: 4px;
                right: 10px;
                content: url('../../style/images/checkmark.svg');

                @include mobile {
                    top: 11px;
                    left: 13px;
                }
            }
        }
    }

    &-DropdownMenu {
        width: 300px;
        border: 1px solid var(--grey-1-color);
        position: absolute;
        top: calc(100% - 1px);
        z-index: 4;
        background: $white;

        @include mobile {
            width: 100%;
            border: none;
            position: fixed;
            left: 100%;
        }
    }

    &-Options {
        @include after-mobile {
            max-height: 315px;
            overflow-y: scroll;
        }
    }

    &-DropdownMenuButtons {
        display: flex;
        padding: 8px 12px;
        border-top: 1px solid var(--grey-1-color);
        align-items: baseline;

        @include mobile {
            display: none;
        }
    }

    &-SaveBtn {
        width: 100%;
        padding: 5px 30px;
        font-size: 14px;
        font-weight: 500;
    }

    &-ClearBtn {
        padding: 5px 50px 5px 10px;
        border: none;
        color: var(--primary-base-color);
        background: none;
        font-size: 14px;
        font-weight: 400;
        text-transform: none;

        &:hover,
        &:focus {
            border: none !important;
            color: var(--primary-base-color) !important;
            background: none !important;
        }

        &::after {
            position: absolute;
            top: 4px;
            right: 22px;
            content: url('../../style/images/cross.svg');
        }
    }

    &-NoResults {
        margin: 16px 0 15px;
        color: var(--grey-2-color);
        text-align: center;

        @include mobile {
            margin-top: 30px;
            font-size: 16px;
        }
    }

    &-Overlay {
        padding: 1rem 1rem 50px;
        background: #fff;
    }
}
